// 08.06.2006  bav9@karelia.ru
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,shellapi, ExtCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Button1: TButton;
    Button2: TButton;
    Memo1: TMemo;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button3: TButton;
    SaveDialog1: TSaveDialog;
    Button4: TButton;
    CheckBox1: TCheckBox;
    Button5: TButton;
    Button6: TButton;
    Label5: TLabel;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Label6: TLabel;
    Panel1: TPanel;
    Label7: TLabel;
    procedure FormResize(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button10Click(Sender: TObject); //  DOS-WIN
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  fil:string;
  tec_dir:string;
  buf:array[0..255]of char;
  hh:HWND;
implementation
{$R *.DFM}
uses convTxt2xls;



procedure TForm1.FormResize(Sender: TObject);
begin
memo1.width:=width-20;
memo1.height:=height-105;
button4.left:=width-26;
end;

procedure TForm1.Button2Click(Sender: TObject);
var s1,s2:char;
s3,s4:string;
b:boolean;
begin
s1:='|';
s2:='-';
s3:=label3.caption;
s4:=tec_dir+'\temp.tx';
memo1.lines.SaveToFile(s4);
if length(edit1.text)>0 then s1:=edit1.text[1];
if length(edit2.text)>0 then s2:=edit2.text[1];
//if s3<>'..' then begin
  showmessage(' '#13#10'  ..');
  if label5.tag=1 then b:=true else b:=false;
  conv.txt2xls(s4,s1,s2,checkbox1.checked,b);
//  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var s4:string;
begin
if opendialog1.Execute then begin
  fil:=opendialog1.filename;
  if length(fil)>0 then begin
    memo1.lines.LoadFromFile(fil);
    label3.caption:=fil;
    s4:=tec_dir+'\temp.tx';
    memo1.lines.SaveToFile(s4);
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
fil:='..';
getcurrentdirectory(sizeof(buf),buf); //  
tec_dir:=buf;

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
if savedialog1.Execute then begin
  fil:=savedialog1.filename;
  if length(fil)>0 then begin
    memo1.lines.SaveToFile(fil);
    label3.caption:=fil;
    end;
  end;  
end;

procedure TForm1.Button4Click(Sender: TObject);
var s5:string;
begin
s5:=tec_dir+'\help.txt';
hh:=shellexecute(self.handle,'open','notepad.exe',pchar(s5),buf,SW_SHOWNORMAL);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
label5.caption:='WIN(1252)';
label5.tag:=0;
memo1.font.charset:=default_charset;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
label5.caption:='DOS(866)';
label5.tag:=1;
memo1.font.charset:=OEM_charset;
end;

procedure TForm1.Button7Click(Sender: TObject);
var w1,w2,i1:integer;
s1,s2:string;
begin
memo1.visible:=false;
refresh;
s2:='|';
if length(edit1.text)>0 then s2:=copy(edit1.text,1,1);
w1:=memo1.Lines.Count;
if w1>0 then begin
  for i1:=0 to w1-1 do begin
    memo1.lines[i1]:=s2+memo1.lines[i1];
    end;
  end;
memo1.visible:=true;
end;

procedure TForm1.Button9Click(Sender: TObject);
var w1,w2,i1:integer;
s1,s2:string;
begin
memo1.visible:=false;
refresh;
s2:='|';
if length(edit1.text)>0 then s2:=copy(edit1.text,1,1);
w1:=memo1.Lines.Count;
if w1>0 then begin
  for i1:=0 to w1-1 do begin
    if copy(memo1.lines[i1],1,1)=s2 then
      memo1.lines[i1]:=copy(memo1.lines[i1],2,length(memo1.lines[i1])-1);
    end;
  end;
memo1.visible:=true;
end;

procedure TForm1.Button8Click(Sender: TObject);
var w1,w2,i1:integer;
s1,s2:string;
begin
memo1.visible:=false;
refresh;
s2:='|';
if length(edit1.text)>0 then s2:=copy(edit1.text,1,1);
w1:=memo1.Lines.Count;
if w1>0 then begin
  for i1:=0 to w1-1 do begin
    memo1.lines[i1]:=memo1.lines[i1]+s2;
    end;
  end;
memo1.visible:=true;
end;

procedure TForm1.Button10Click(Sender: TObject);
var w1,w2,i1:integer;
s1,s2:string;
begin
memo1.visible:=false;
refresh;
s2:='|';
if length(edit1.text)>0 then s2:=copy(edit1.text,1,1);
w1:=memo1.Lines.Count;
if w1>0 then begin
  for i1:=0 to w1-1 do begin
    if copy(memo1.lines[i1],length(memo1.lines[i1]),1)=s2 then
      memo1.lines[i1]:=copy(memo1.lines[i1],1,length(memo1.lines[i1])-1);
    end;
  end;
memo1.visible:=true;
end;

end.

